/*Crear una función “ordena” a la que se le suministren dos números enteros N y M
cualesquiera, de tal forma que tras su ejecución N contenga el número menor,
y M contenga el número mayor.*/

#include <stdio.h>
#include <conio.h>

void ordena (int *m, int *n)
{
int *a=0;
if (*m<*n)
 {
 *a=*m;
 *m=*n;
 *n=*a;
 }
if (*m>=*n)
 {
  *m=*m;
  *n=*n;
 }
}
void main()
{
int m,n;
clrscr();
printf ("\n introduce un numero: ");
scanf ("%d",&m);
printf ("\n introduce otro numero: ");
scanf ("%d",&n);
ordena(&m,&n);
printf ("\n el mayor es:%d y el menor es:%d",m,n);
getch();
}
